package egovframework.com.its.web.server.mapper;


import egovframework.com.its.web.server.util.PageCriteria;
import egovframework.com.its.web.server.vo.NoticeVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface NoticeMapper {
	
	int getNoticeTotalCount(HashMap<String, String> paramMap);
	
	List<NoticeVO> getNoticeList(PageCriteria criteria);
	
	int updateNoticeReadCount(HashMap<String, String> paramMap);
	
	NoticeVO getNotice(Map<String, String> paramMap);

	int addNotice(Map<String, Object> paramMap);

	int updateNotice(Map<String, Object> paramMap);

	void deleteNotice(Map<String, Object> paramMap);
}
